aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--INSTALL.txt19
-rw-r--r--build/Makefile.common.inc6
-rw-r--r--build/known_hosts3
-rwxr-xr-xcontrib/jenkins.sh20
4 files changed, 31 insertions, 17 deletions
diff --git a/INSTALL.txt b/INSTALL.txt
index 6efe8d1..c3caefe 100644
--- a/INSTALL.txt
+++ b/INSTALL.txt
@@ -14,13 +14,26 @@ apt-get install \
(Note that asciidoc-dblatex is required from debian 9 on and did not exist before.)
-Build PDFs, run:
+Prepare your build dir:
autoreconf -fi
./configure
+
+Optionally test building all shared content (use -j for parallel building):
+ make # generate test PDFs
+ make check # test for asciidoc errors
+
+Install osmo-gsm-manuals:
+ make install
+
+Build the manuals of a specific Osmocom project:
+ cd ../osmo-msc # enter the project dir, clone first if needed
+ ./configure --enable-manuals
make
+ ls doc/manuals/*.pdf # find the PDFs here
-or for a parallel build using more CPU cores, replace make with:
- make -j 5
+Publish PDFs to the Osmocom server:
+ cd ../osmo-msc # enter the project dir
+ make -C doc/manuals publish
To update the VTY reference for a given program, use 'osmo_interact_vty.py -X',
available from git.osmocom.org/python/osmo-python-tests:
diff --git a/build/Makefile.common.inc b/build/Makefile.common.inc
index efd56f6..0ee648a 100644
--- a/build/Makefile.common.inc
+++ b/build/Makefile.common.inc
@@ -5,6 +5,7 @@
#
# Include this file at the end to have the common targets (upload, clean etc.).
+SSH_COMMAND = ssh -o 'UserKnownHostsFile=$(OSMO_GSM_MANUALS_DIR)/build/known_hosts' -p 48
UPLOAD_PATH ?= generic@sysmocom-downloads:documents
SYMLINKS = common build
CLEAN_FILES += $(SYMLINKS)
@@ -19,3 +20,8 @@ clean:
-rm -rf $(CLEAN_FILES)
distclean: clean
+
+publish: all check
+ mkdir -p out
+ cp *.pdf out
+ rsync -avz -e "$(SSH_COMMAND)" ./out/ docs@rita.osmocom.org:web-files/latest/
diff --git a/build/known_hosts b/build/known_hosts
new file mode 100644
index 0000000..c78b03d
--- /dev/null
+++ b/build/known_hosts
@@ -0,0 +1,3 @@
+[rita.osmocom.org]:48 ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDgQ9HntlpWNmh953a2Gc8NysKE4orOatVT1wQkyzhARnfYUerRuwyNr1GqMyBKdSI9amYVBXJIOUFcpV81niA7zQRUs66bpIMkE9/rHxBd81SkorEPOIS84W4vm3SZtuNqa+fADcqe88Hcb0ZdTzjKILuwi19gzrQyME2knHY71EOETe9Yow5RD2hTIpB5ecNxI0LUKDq+Ii8HfBvndPBIr0BWYDugckQ3Bocf+yn/tn2/GZieFEyFpBGF/MnLbAAfUKIdeyFRX7ufaiWWz5yKAfEhtziqdAGZaXNaLG6gkpy3EixOAy6ZXuTAk3b3Y0FUmDjhOHllbPmTOcKMry9
+[rita.osmocom.org]:48 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBPdWn1kEousXuKsZ+qJEZTt/NSeASxCrUfNDW3LWtH+d8Ust7ZuKp/vuyG+5pe5pwpPOgFu7TjN+0lVjYJVXH54=
+[rita.osmocom.org]:48 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8iivY70EiR5NiGChV39gRLjNpC8lvu1ZdHtdMw2zuX
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 626160e..7d4d8df 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,7 +2,12 @@
set -ex
-publish="$1"
+if [ -n "$1" ]; then
+ echo "ERROR: --publish has been deprecated!"
+ echo "Manuals have been moved to the projects, and need to be published from there."
+ echo "See INSTALL.txt for more information."
+ exit 1
+fi
osmo-clean-workspace.sh
@@ -12,17 +17,4 @@ $MAKE $PARALLEL_MAKE
$MAKE $PARALLEL_MAKE check
$MAKE $PARALLEL_MAKE distcheck
-if [ "x$publish" = "x--publish" ]; then
- mkdir out/
- cp */*.pdf out/
-
- cat > "$WORKSPACE/known_hosts" <<EOF
-[rita.osmocom.org]:48 ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQDDgQ9HntlpWNmh953a2Gc8NysKE4orOatVT1wQkyzhARnfYUerRuwyNr1GqMyBKdSI9amYVBXJIOUFcpV81niA7zQRUs66bpIMkE9/rHxBd81SkorEPOIS84W4vm3SZtuNqa+fADcqe88Hcb0ZdTzjKILuwi19gzrQyME2knHY71EOETe9Yow5RD2hTIpB5ecNxI0LUKDq+Ii8HfBvndPBIr0BWYDugckQ3Bocf+yn/tn2/GZieFEyFpBGF/MnLbAAfUKIdeyFRX7ufaiWWz5yKAfEhtziqdAGZaXNaLG6gkpy3EixOAy6ZXuTAk3b3Y0FUmDjhOHllbPmTOcKMry9
-[rita.osmocom.org]:48 ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBPdWn1kEousXuKsZ+qJEZTt/NSeASxCrUfNDW3LWtH+d8Ust7ZuKp/vuyG+5pe5pwpPOgFu7TjN+0lVjYJVXH54=
-[rita.osmocom.org]:48 ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIK8iivY70EiR5NiGChV39gRLjNpC8lvu1ZdHtdMw2zuX
-EOF
- SSH_COMMAND="ssh -o 'UserKnownHostsFile=$WORKSPACE/known_hosts' -p 48"
- rsync -avz --delete -e "$SSH_COMMAND" ./out/ docs@rita.osmocom.org:web-files/latest/
-fi
-
osmo-clean-workspace.sh